<?php

/**
 * @file
 * Contains \Drupal\entity_pilot\Normalizer\EntityReferenceItemNormalizer.
 */

namespace Drupal\entity_pilot\Normalizer;

use Drupal\hal\Normalizer\EntityReferenceItemNormalizer as BaseEntityReferenceItemNormalizer;

/**
 * Lets the entity-reference resolver work with unsaved entities.
 */
class EntityReferenceItemNormalizer extends BaseEntityReferenceItemNormalizer {

  /**
   * {@inheritdoc}
   */
  public function supportsNormalization($data, $format = NULL) {
    return FALSE;
  }

  /**
   * {@inheritdoc}
   */
  protected function constructValue($data, $context) {
    $field_item = $context['target_instance'];
    $field_definition = $field_item->getFieldDefinition();
    $target_type = $field_definition->getSetting('target_type');
    if ($entity = $this->entityResolver->resolve($this, $data, $target_type)) {
      // The exists plugin manager may nominate an existing entity to use here.
      if ($id = $entity->id()) {
        return array('target_id' => $id);
      }
      return array('entity' => $entity);
    }
    return NULL;
  }

}
